.sidebar a {
    text-decoration: none;
    vertical-align: middle;
    text-align: center;
    line-height: 3;
}

.sidebar p {
    color: white;
    margin: 0px;
}

.sidebar {
    height: auto;
    width: 0px;
    position: fixed;
    text-align: center;
    top: 35vh;
    padding: 10px;
    z-index: 1;
}

.sidebar p i {
    left: 30px;
    position: relative;
    vertical-align: middle;
    text-align: center;
    font-size: 24px;
}

.social {
    margin-left: -145px;
    width: 175px;
    padding: 0;
    display: inline-table;
    height: 0px;
    background-color: rgba(128, 128, 128, 0.73);
    -moz-transition-property: margin-left;
    -moz-transition-duration: 0.2s;
    -moz-transition-delay: 0.2s;
    -ms-transition-property: margin-left;
    -ms-transition-duration: 0.2s;
    -ms-transition-delay: 0.2s;
    -o-transition-property: margin-left;
    -o-transition-duration: 0.2s;
    -o-transition-delay: 0.2s;
    -webkit-transition-property: margin-left;
    -webkit-transition-duration: 0.2s;
    -webkit-transition-delay: 0.2s;
    box-shadow: 0px 0px 6px 0px #3E3D3D;
    cursor: pointer;
}

.social:hover {
    margin-left: -30px;
    width: 175px;
}

.facebook {
    background-color: #0866FF;
}

.instagram {
    background: linear-gradient(115deg, #f9ce34, #ee2a7b, #6228d7);
}

.twitter {
    background-color: #4099FF;
}

.google {
    background-color: #DD4B39;
}

.linkedin p i {
    left: 20px;
}

.google p i {
    left: 35px;
}

.youtube p i {
    left: 18px;
}

.youtube:hover {
    background-color: #E52D27;
}

.linkedin:hover {
    background-color: #0976B4;
}
